Bug 36462 - REGRESSION: plugins/netscape-construct.html and plugins/mouse-events-fixedpos.html failing on Snow Leopard Bot
Summary: REGRESSION: plugins/netscape-construct.html and plugins/mouse-events-fixedpos...
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Intel OS X 10.6
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 49194 73701
  Show dependency treegraph
 
Reported: 2010-03-22 13:58 PDT by Eric Seidel (no email)
Modified: 2011-12-02 14:10 PST (History)
7 users (show)

See Also:


Attachments
Patch (1.48 KB, patch)
2010-03-25 17:46 PDT, Eric Seidel (no email)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2010-03-22 13:58:13 PDT
plugins/netscape-construct.html and plugins/mouse-events-fixedpos.html failing on Snow Leopard Bot

http://build.webkit.org/results/SnowLeopard%20Intel%20Release%20(Tests)/r56351%20(7010)/results.html

They appear to be failing intermittently.  Probably a recent regression.

http://build.webkit.org/results/SnowLeopard%20Intel%20Release%20(Tests)/r56351%20(7010)/plugins/mouse-events-fixedpos-diffs.txt
--- /Volumes/Data/WebKit-BuildSlave/snowleopard-intel-release-tests/build/layout-test-results/plugins/mouse-events-fixedpos-expected.txt	2010-03-22 12:03:04.000000000 -0700
+++ /Volumes/Data/WebKit-BuildSlave/snowleopard-intel-release-tests/build/layout-test-results/plugins/mouse-events-fixedpos-actual.txt	2010-03-22 12:03:04.000000000 -0700
@@ -1,7 +1,2 @@
-CONSOLE MESSAGE: line 0: PLUGIN: getFocusEvent
-CONSOLE MESSAGE: line 0: PLUGIN: mouseDown at (50, 50)
-CONSOLE MESSAGE: line 0: PLUGIN: mouseUp at (50, 50)
-CONSOLE MESSAGE: line 0: PLUGIN: mouseDown at (60, 60)
-CONSOLE MESSAGE: line 0: PLUGIN: mouseUp at (70, 60)
 
 Tests for widget positions being correctly updated after scrolling. rdar://problem/7559069

http://build.webkit.org/results/SnowLeopard%20Intel%20Release%20(Tests)/r56351%20(7010)/plugins/netscape-construct-diffs.txt
--- /Volumes/Data/WebKit-BuildSlave/snowleopard-intel-release-tests/build/layout-test-results/plugins/netscape-construct-expected.txt	2010-03-22 12:03:05.000000000 -0700
+++ /Volumes/Data/WebKit-BuildSlave/snowleopard-intel-release-tests/build/layout-test-results/plugins/netscape-construct-actual.txt	2010-03-22 12:03:05.000000000 -0700
@@ -1,3 +1,4 @@
+CONSOLE MESSAGE: line 0: PLUGIN: getFocusEvent
 This tests that NPN_Construct works correctly, and that it is possible to use "new" with NPObjects that implement construct.
 SUCCESS
 
Looks like possible interactions between tests.

http://trac.webkit.org/browser/trunk/LayoutTests/plugins/mouse-events-fixedpos.html
http://trac.webkit.org/browser/trunk/LayoutTests/plugins/netscape-construct.html
Comment 1 Eric Seidel (no email) 2010-03-23 15:22:56 PDT
I recommend we skip these tests on Snow Leopard so we can have a green bot again unless someone else has any clue what's going on here.
Comment 2 Alexey Proskuryakov 2010-03-23 15:31:07 PDT
It is possible that this is caused by obsolete closed source bits on the bots. Eric, are you seeing the same issues locally?
Comment 3 Eric Seidel (no email) 2010-03-23 15:34:52 PDT
I do not have a snow leopard machine to test with, sadly.
Comment 4 Eric Seidel (no email) 2010-03-24 16:36:52 PDT
(In reply to comment #2)
> It is possible that this is caused by obsolete closed source bits on the bots.
> Eric, are you seeing the same issues locally?

Do we have any ETA on the bot update?  The failure is intermittent.  It will fail for 6 builds in a row, and then pass for another 4 and then fail again for another 5 or whatever...
Comment 5 Alexey Proskuryakov 2010-03-24 17:33:09 PDT
Someone is working on this, but please feel free to disable these tests on SL for now. You can just put them into the "needs new Safari" section.
Comment 6 Eric Seidel (no email) 2010-03-25 17:46:37 PDT
Created attachment 51701 [details]
Patch
Comment 7 Adam Barth 2010-03-25 17:53:06 PDT
Comment on attachment 51701 [details]
Patch

ok
Comment 8 WebKit Commit Bot 2010-03-25 20:57:14 PDT
Comment on attachment 51701 [details]
Patch

Rejecting patch 51701 from commit-queue.

Unexpected failure when landing patch!  Please file a bug against webkit-patch.
Failed to run "['WebKitTools/Scripts/webkit-patch', '--status-host=webkit-commit-queue.appspot.com', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', '--build-style=both', '--quiet', '51701', '--no-update']" exit_code: 1
Last 500 characters of output:
ne 60, in _run
    step(tool, options).run(state)
  File "/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/webkitpy/tool/steps/commit.py", line 34, in run
    commit_message = self._tool.checkout().commit_message_for_this_commit()
  File "/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/webkitpy/common/checkout/api.py", line 65, in commit_message_for_this_commit
    return CommitMessage("".join(changelog_messages).splitlines())
NameError: global name 'CommitMessage' is not defined
Comment 9 Eric Seidel (no email) 2010-03-25 21:11:09 PDT
Sounds like I may need to restart the commit-queue due to python changes.
Comment 10 Eric Seidel (no email) 2010-03-25 21:18:58 PDT
Comment on attachment 51701 [details]
Patch

I've restarted the commit-bot.  Sorry for the noise.
Comment 11 WebKit Commit Bot 2010-03-25 23:23:56 PDT
Comment on attachment 51701 [details]
Patch

Clearing flags on attachment: 51701

Committed r56605: <http://trac.webkit.org/changeset/56605>
Comment 12 WebKit Commit Bot 2010-03-25 23:24:02 PDT
All reviewed patches have been landed.  Closing bug.
Comment 13 Adam Roben (:aroben) 2010-09-28 04:15:04 PDT
This bug should not have been closed. The tests are being skipped, but they haven't (necessarily) been fixed.